/// <reference types="react" />
import { ISelectItem } from './Select';
export interface IOptionProps<Key extends string | number = string | number, Item extends ISelectItem<Key> = ISelectItem<Key>> {
    value: Item;
    active: boolean;
    selected: boolean;
    index: number;
    onSelect(item: Item): void;
    onMouseEnter(index: number): void;
    onMouseLeave(index: number): void;
    multiple: boolean;
    children?: React.ReactNode;
    loading: boolean;
}
declare function SelectOption<Key extends string | number = string | number, Item extends ISelectItem<Key> = ISelectItem<Key>>({ value, active, selected, onSelect, index, onMouseEnter, onMouseLeave, multiple, children, loading, }: IOptionProps<Key, Item>): JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof SelectOption>;
export default _default;
